karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré (JIRA) <j...@apache.org>
Subject [jira] [Created] (KARAF-1809) Feature spring-web-portlet can't be installed
Date Tue, 11 Sep 2012 11:42:09 GMT
Jean-Baptiste Onofré created KARAF-1809:
-------------------------------------------

             Summary: Feature spring-web-portlet can't be installed
                 Key: KARAF-1809
                 URL: https://issues.apache.org/jira/browse/KARAF-1809
             Project: Karaf
          Issue Type: Bug
          Components: karaf-core
    Affects Versions: 2.2.9
            Reporter: Jean-Baptiste Onofré
             Fix For: 2.2.10, 2.3.0, 3.0.0


When installing the spring-web-portlet feature, the following error occurs:

karaf@root()> feature:install spring-web-portlet
Error executing command: Could not start bundle mvn:org.springframework/spring-webmvc-portlet/3.1.2.RELEASE
in feature(s) spring-web-portlet-3.1.2.RELEASE: Unresolved constraint in bundle org.springframework.web.portlet
[98]: Unable to resolve 98.0: missing requirement [98.0] osgi.wiring.package; (&(osgi.wiring.package=javax.portlet)(version>=2.0.0)(!(version>=3.0.0)))


--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators
For more information on JIRA, see: http://www.atlassian.com/software/jira

Mime
View raw message